search/repository-swift and search/ltr fail on "mvn site": Unable to connect to: http://maven.elasticsearch.org/releases
Closed, ResolvedPublic

Description

For the repositories search/ltr and search/repository-swift I wanted to get a Jenkins job that generates the site goal and get it published to doc.wikimedia.org. @Gehel helped set that up for a few other repositories.

For ltr and repository-swift that eventually fails because maven.elasticsearch.org yields a 401 Not Authorized :(

Typically:

$ mvn install site site:stage
...
[INFO] Generating "Dependencies" report    --- maven-project-info-reports-plugin:2.9
[ERROR] Unable to connect to: http://maven.elasticsearch.org/releases
[ERROR] Unable to connect to: http://maven.elasticsearch.org/releases

From a tcpdump:

Request:

HEAD /releases/com/carrotsearch/hppc/0.7.1/hppc-0.7.1.jar HTTP/1.1
User-Agent: Java/1.8.0_151
Host: maven.elasticsearch.org
Accept: text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2
Connection: keep-alive

Response:

HTTP/1.1 401 Unauthorized
Date: Thu, 15 Feb 2018 10:11:00 GMT
Server: Artifactory/3.4.0
X-Frame-Options: SAMEORIGIN
X-Artifactory-Id: f3e4dbaa66874a46:3a0c8a35:160c10d4c58:-8000
WWW-Authenticate: Basic realm="Artifactory Realm"
Content-Type: application/json;charset=ISO-8859-1
Keep-Alive: timeout=5, max=99
Connection: Keep-Alive
hashar created this task.Feb 15 2018, 10:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2018, 10:19 AM
hashar renamed this task from mvn site fails: 401 to search/repository-swift and search/ltr fail on "mvn site": Unable to connect to: http://maven.elasticsearch.org/releases.Feb 15 2018, 10:24 AM
hashar updated the task description. (Show Details)
hashar added subscribers: Gehel, dcausse, EBernhardson.

These two projects can be archived:

Mentioned in SAL (#wikimedia-releng) [2018-02-15T10:35:11Z] <hashar> gerrit: marking search/ltr and search/repository-swift as read-only | T187428

Change 410793 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive search/ltr and search/swift-repository

https://gerrit.wikimedia.org/r/410793

Change 410793 merged by jenkins-bot:
[integration/config@master] Archive search/ltr and search/swift-repository

https://gerrit.wikimedia.org/r/410793

hashar closed this task as Resolved.Feb 15 2018, 1:30 PM
hashar claimed this task.

Resolved by archiving the repositories.